<?php
	session_start();
	$ruta="../../../";
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/individualcredito.php");
    $individualcredito=new individualcredito;
    include_once($ruta."class/individual.php");
    $individual=new individual;
    include_once($ruta."class/asesorhistoricoin.php");
	$asesorhistoricoin=new asesorhistoricoin;
    extract($_POST);
    
    $fecha=date("Y-m-d");
    $gcred=$individualcredito->muestra($idindividualcredito);
    $dgr=$individual->muestra($gcred['idindividual']);
    $idejecutivoAnt=$dgr['idadmejecutivo'];
    $idindividual=$gcred['idindividual'];
	$valgcred=array(
		"idejecutivo"=>"'$idadmejecutivo'",
 	);  
    $credito->actualizar($valgcred,$idcredito);

    $valGrupo=array(
		"idadmejecutivo"=>"'$idadmejecutivo'",
 	);
    $individual->actualizar($valGrupo,$idindividual);

    $valores2=array(
        "idanterior"=>"'$idejecutivoAnt'",
        "idactual"=>"'$idadmejecutivo'",
        "idindividualcredito"=>"'$idindividualcredito'",
        "idindividual"=>"'$idindividual'"
    );	
    //$asesorhistoricoI->insertar($valores2);
    if($asesorhistoricoin->insertar($valores2))
    {
    ?>
    <script type="text/javascript">
        swal({
            title: "Listo",
            text: "Asesor Modificado",
            type: "success",
            showCancelButton: false,
            confirmButtonColor: "#28e29e",
            confirmButtonText: "OK",
            closeOnConfirm: false
        }, function () {
            location.reload();
        });
    </script>
    <?php
    }else{
    ?>
    <script type="text/javascript">
        swal({
            title: "ERROR",
            text: "NO SE MODIFICO",
            type: "error",
            //showCancelButton: false,
            confirmButtonColor: "#28e29e",
            confirmButtonText: "OK",
            closeOnConfirm: false
        }, function () {
            location.reload();
        });
    </script>
    <?php
    }

?>